import { EventEmitter } from '../../stencil-public-runtime';
export declare class EclAccordionItem {
    el: HTMLElement;
    styleClass: string;
    label: string;
    itemId: string;
    expanded: boolean;
    theme: string;
    toggleItem: EventEmitter<string>;
    handleClick: () => void;
    getClass(): string;
    componentWillLoad(): void;
    render(): any;
}
